Page MenuHomePhabricator

CFI: wrong type passed to llvm.type.test with multiple inheritance devirtualization
ClosedPublic

Authored by dmikulin on Sep 24 2019, 2:12 PM.

Diff Detail

Event Timeline

dmikulin created this revision.Sep 24 2019, 2:12 PM
Herald added projects: Restricted Project, Restricted Project, Restricted Project. · View Herald TranscriptSep 24 2019, 2:12 PM
Herald added subscribers: llvm-commits, Restricted Project, cfe-commits, Prazek. · View Herald Transcript

It seems there's a FIXME anticipating this problem.

@pcc: Can you double-check, please?

Thank you,
Filipe

pcc added a comment.Oct 7 2019, 10:16 AM

Can you add a CodeGenCXX test as well, please?

dmikulin updated this revision to Diff 223634.Oct 7 2019, 11:51 AM

Added a new CodeGetCXX test case

pcc accepted this revision.Oct 11 2019, 2:12 PM

LGTM

This revision is now accepted and ready to land.Oct 11 2019, 2:12 PM
This revision was automatically updated to reflect the committed changes.